package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.vo.AttendanceGroupResponsibleVo;
/**
* 考勤组负责人员信息实体对象
*
* @author zxfei
* @date 2023-04-08
*/

public class AttendanceGroupResponsibleEntity extends AttendanceGroupResponsibleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 考勤组
    */
    private Long groupId;
    /**
    * 考勤组名称
    */
    private String groupName;
    /**
    * 负责人ID
    */
    private Long responsibleId;
    /**
    * 负责人名称
    */
    private String responsibleName;
    /**
    * 负责人类型(0. 主负责人,1. 子负责人)
    */
    private Integer responsibleType;
    /**
    * 备注
    */
    private String remark;



    public AttendanceGroupResponsibleEntity(){}
    /**
    * 获取 考勤组
    * @return Long
    */
    public Long getGroupId(){
        return groupId;
    }
    /**
    * 设置 考勤组
    * @param groupId
    */
    public void setGroupId(Long groupId){
        this.groupId = groupId;
    }
    /**
    * 获取 考勤组名称
    * @return String
    */
    public String getGroupName(){
        return groupName;
    }
    /**
    * 设置 考勤组名称
    * @param groupName
    */
    public void setGroupName(String groupName){
        this.groupName = groupName;
    }
    /**
    * 获取 负责人ID
    * @return Long
    */
    public Long getResponsibleId(){
        return responsibleId;
    }
    /**
    * 设置 负责人ID
    * @param responsibleId
    */
    public void setResponsibleId(Long responsibleId){
        this.responsibleId = responsibleId;
    }
    /**
    * 获取 负责人名称
    * @return String
    */
    public String getResponsibleName(){
        return responsibleName;
    }
    /**
    * 设置 负责人名称
    * @param responsibleName
    */
    public void setResponsibleName(String responsibleName){
        this.responsibleName = responsibleName;
    }
    /**
    * 获取 负责人类型(0. 主负责人,1. 子负责人)
    * @return Integer
    */
    public Integer getResponsibleType(){
        return responsibleType;
    }
    /**
    * 设置 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleType
    */
    public void setResponsibleType(Integer responsibleType){
        this.responsibleType = responsibleType;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AttendanceGroupResponsibleEntity) {
            AttendanceGroupResponsibleEntity tmp = (AttendanceGroupResponsibleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",groupId:").append(getGroupId());
        sb.append(",groupName:").append(getGroupName());
        sb.append(",responsibleId:").append(getResponsibleId());
        sb.append(",responsibleName:").append(getResponsibleName());
        sb.append(",responsibleType:").append(getResponsibleType());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.groupId = null;

            this.groupName = "";

            this.responsibleId = null;

            this.responsibleName = "";

            this.responsibleType = null;

            this.remark = "";
    }
}